> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok Tasks



## OpenAPI

````yaml /openapi/grok.json post /grok/tasks
openapi: 3.0.0
info:
  title: Grok
  version: 1.0.0
  description: API reference for Grok on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /grok/tasks:
    post:
      summary: Grok Tasks
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Grok Tasks Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Grok Tasks Id
                ids:
                  type: array
                  items:
                    type: string
                  description: Grok Tasks Ids
                action:
                  enum:
                    - retrieve
                    - retrieve_batch
                  type: string
                  default: retrieve
                  description: Grok Tasks Action
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Grok Tasks Response 200 Id
                  request:
                    type: object
                    description: Grok Tasks Response 200 Request
                  response:
                    type: object
                    description: Grok Tasks Response 200 Response
          description: Grok Tasks Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Grok Tasks Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Grok Tasks Response 400 Error Message
                      trace_id:
                        type: string
                        description: Grok Tasks Response 400 Trace Id
          description: Grok Tasks Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Grok Tasks Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Grok Tasks Response 401 Error Message
                      trace_id:
                        type: string
                        description: Grok Tasks Response 401 Trace Id
          description: Grok Tasks Response 401
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Grok Tasks Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Grok Tasks Response 500 Error Message
                      trace_id:
                        type: string
                        description: Grok Tasks Response 500 Trace Id
          description: Grok Tasks Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````